PreparedStatementProxy (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbcx.proxy

## Class PreparedStatementProxy

- java.lang.Object
- - net.sourceforge.jtds.jdbcx.proxy.StatementProxy
  - - net.sourceforge.jtds.jdbcx.proxy.PreparedStatementProxy

- All Implemented Interfaces:
    java.lang.AutoCloseable, java.sql.PreparedStatement, java.sql.Statement, java.sql.Wrapper
  Direct Known Subclasses:
    CallableStatementProxy

      public class PreparedStatementProxy
      extends StatementProxy
      implements java.sql.PreparedStatement

  This class would be better implemented as a java.lang.reflect.Proxy. However, this feature was not added until 1.3 and reflection performance was not improved until 1.4. Since the driver still needs to be compatible with 1.2 and 1.3 this class is used to delegate the calls to a prepared statement with minimal overhead.
  Version:
    $Id: PreparedStatementProxy.java,v 1.3.4.3 2009-12-30 08:45:34 ickzon Exp $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private JtdsPreparedStatement` | `_preparedStatement`

    - ### Fields inherited from interface java.sql.Statement

      `CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreparedStatementProxy(ConnectionProxy connection, JtdsPreparedStatement preparedStatement)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBatch()` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `void` | `clearParameters()` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `boolean` | `execute()` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `java.sql.ResultSet` | `executeQuery()` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `int` | `executeUpdate()` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `java.sql.ResultSetMetaData` | `getMetaData()` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `java.sql.ParameterMetaData` | `getParameterMetaData()` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `boolean` | `isClosed()`
    `boolean` | `isPoolable()`
    `boolean` | `isWrapperFor(java.lang.Class arg0)`
    `void` | `setArray(int parameterIndex, java.sql.Array x)` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `void` | `setAsciiStream(int parameterIndex, java.io.InputStream x)`
    `void` | `setAsciiStream(int parameterIndex, java.io.InputStream x, int length)` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `void` | `setAsciiStream(int parameterIndex, java.io.InputStream x, long length)`
    `void` | `setBigDecimal(int parameterIndex, java.math.BigDecimal x)` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `void` | `setBinaryStream(int parameterIndex, java.io.InputStream x)`
    `void` | `setBinaryStream(int parameterIndex, java.io.InputStream x, int length)` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `void` | `setBinaryStream(int parameterIndex, java.io.InputStream x, long length)`
    `void` | `setBlob(int parameterIndex, java.sql.Blob x)` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `void` | `setBlob(int parameterIndex, java.io.InputStream inputStream)`
    `void` | `setBlob(int parameterIndex, java.io.InputStream inputStream, long length)`
    `void` | `setBoolean(int parameterIndex, boolean x)` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `void` | `setByte(int parameterIndex, byte x)` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `void` | `setBytes(int parameterIndex, byte[] x)` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `void` | `setCharacterStream(int parameterIndex, java.io.Reader reader)`
    `void` | `setCharacterStream(int parameterIndex, java.io.Reader x, int length)` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `void` | `setCharacterStream(int parameterIndex, java.io.Reader reader, long length)`
    `void` | `setClob(int parameterIndex, java.sql.Clob x)` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `void` | `setClob(int parameterIndex, java.io.Reader reader)`
    `void` | `setClob(int parameterIndex, java.io.Reader reader, long length)`
    `void` | `setDate(int parameterIndex, java.sql.Date x)` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `void` | `setDate(int parameterIndex, java.sql.Date x, java.util.Calendar cal)` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `void` | `setDouble(int parameterIndex, double x)` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `void` | `setFloat(int parameterIndex, float x)` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `void` | `setInt(int parameterIndex, int x)` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `void` | `setLong(int parameterIndex, long x)` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `void` | `setNCharacterStream(int parameterIndex, java.io.Reader value)`
    `void` | `setNCharacterStream(int parameterIndex, java.io.Reader value, long length)`
    `void` | `setNClob(int parameterIndex, java.sql.NClob value)`
    `void` | `setNClob(int parameterIndex, java.io.Reader reader)`
    `void` | `setNClob(int parameterIndex, java.io.Reader reader, long length)`
    `void` | `setNString(int parameterIndex, java.lang.String value)`
    `void` | `setNull(int parameterIndex, int sqlType)` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `void` | `setNull(int parameterIndex, int sqlType, java.lang.String typeName)` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `void` | `setObject(int parameterIndex, java.lang.Object x)` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `void` | `setObject(int parameterIndex, java.lang.Object x, int targetSqlType)` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `void` | `setObject(int parameterIndex, java.lang.Object x, int targetSqlType, int scale)` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `void` | `setPoolable(boolean poolable)`
    `void` | `setRef(int parameterIndex, java.sql.Ref x)` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `void` | `setRowId(int parameterIndex, java.sql.RowId x)`
    `void` | `setShort(int parameterIndex, short x)` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `void` | `setSQLXML(int parameterIndex, java.sql.SQLXML xmlObject)`
    `void` | `setString(int parameterIndex, java.lang.String x)` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `void` | `setTime(int parameterIndex, java.sql.Time x)` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `void` | `setTime(int parameterIndex, java.sql.Time x, java.util.Calendar cal)` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `void` | `setTimestamp(int parameterIndex, java.sql.Timestamp x)` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `void` | `setTimestamp(int parameterIndex, java.sql.Timestamp x, java.util.Calendar cal)` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `void` | `setUnicodeStream(int parameterIndex, java.io.InputStream x, int length)` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `void` | `setURL(int parameterIndex, java.net.URL x)` Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
    `java.lang.Object` | `unwrap(java.lang.Class arg0)`

    - ### Methods inherited from class net.sourceforge.jtds.jdbcx.proxy.StatementProxy

      `addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isCloseOnCompletion, processSQLException, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout, validateConnection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.sql.Statement

      `addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isCloseOnCompletion, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout`

- - ### Field Detail

    - #### _preparedStatement

          private JtdsPreparedStatement _preparedStatement

  - ### Constructor Detail

    - #### PreparedStatementProxy

          PreparedStatementProxy(ConnectionProxy connection,
                                JtdsPreparedStatement preparedStatement)

  - ### Method Detail

    - #### executeQuery

          public java.sql.ResultSet executeQuery()
                                          throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `executeQuery` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### executeUpdate

          public int executeUpdate()
                            throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `executeUpdate` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setNull

          public void setNull(int parameterIndex,
                     int sqlType)
                       throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setNull` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setBoolean

          public void setBoolean(int parameterIndex,
                        boolean x)
                          throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setBoolean` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setByte

          public void setByte(int parameterIndex,
                     byte x)
                       throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setByte` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setShort

          public void setShort(int parameterIndex,
                      short x)
                        throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setShort` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setInt

          public void setInt(int parameterIndex,
                    int x)
                      throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setInt` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setLong

          public void setLong(int parameterIndex,
                     long x)
                       throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setLong` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setFloat

          public void setFloat(int parameterIndex,
                      float x)
                        throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setFloat` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setDouble

          public void setDouble(int parameterIndex,
                       double x)
                         throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setDouble` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setBigDecimal

          public void setBigDecimal(int parameterIndex,
                           java.math.BigDecimal x)
                             throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setBigDecimal` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setString

          public void setString(int parameterIndex,
                       java.lang.String x)
                         throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setString` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setBytes

          public void setBytes(int parameterIndex,
                      byte[] x)
                        throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setBytes` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setDate

          public void setDate(int parameterIndex,
                     java.sql.Date x)
                       throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setDate` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setTime

          public void setTime(int parameterIndex,
                     java.sql.Time x)
                       throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setTime` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setTimestamp

          public void setTimestamp(int parameterIndex,
                          java.sql.Timestamp x)
                            throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setTimestamp` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setAsciiStream

          public void setAsciiStream(int parameterIndex,
                            java.io.InputStream x,
                            int length)
                              throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setAsciiStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setUnicodeStream

          public void setUnicodeStream(int parameterIndex,
                              java.io.InputStream x,
                              int length)
                                throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setUnicodeStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setBinaryStream

          public void setBinaryStream(int parameterIndex,
                             java.io.InputStream x,
                             int length)
                               throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setBinaryStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### clearParameters

          public void clearParameters()
                               throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `clearParameters` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setObject

          public void setObject(int parameterIndex,
                       java.lang.Object x,
                       int targetSqlType,
                       int scale)
                         throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setObject` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setObject

          public void setObject(int parameterIndex,
                       java.lang.Object x,
                       int targetSqlType)
                         throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setObject` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setObject

          public void setObject(int parameterIndex,
                       java.lang.Object x)
                         throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setObject` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### execute

          public boolean execute()
                          throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `execute` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### addBatch

          public void addBatch()
                        throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `addBatch` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setCharacterStream

          public void setCharacterStream(int parameterIndex,
                                java.io.Reader x,
                                int length)
                                  throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setCharacterStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setRef

          public void setRef(int parameterIndex,
                    java.sql.Ref x)
                      throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setRef` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setBlob

          public void setBlob(int parameterIndex,
                     java.sql.Blob x)
                       throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setBlob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setClob

          public void setClob(int parameterIndex,
                     java.sql.Clob x)
                       throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setClob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setArray

          public void setArray(int parameterIndex,
                      java.sql.Array x)
                        throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setArray` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getMetaData

          public java.sql.ResultSetMetaData getMetaData()
                                                 throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getMetaData` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setDate

          public void setDate(int parameterIndex,
                     java.sql.Date x,
                     java.util.Calendar cal)
                       throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setDate` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setTime

          public void setTime(int parameterIndex,
                     java.sql.Time x,
                     java.util.Calendar cal)
                       throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setTime` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setTimestamp

          public void setTimestamp(int parameterIndex,
                          java.sql.Timestamp x,
                          java.util.Calendar cal)
                            throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setTimestamp` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setNull

          public void setNull(int parameterIndex,
                     int sqlType,
                     java.lang.String typeName)
                       throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setNull` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setURL

          public void setURL(int parameterIndex,
                    java.net.URL x)
                      throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `setURL` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getParameterMetaData

          public java.sql.ParameterMetaData getParameterMetaData()
                                                          throws java.sql.SQLException

      Delgates calls to the prepared statement; SQLExceptions thrown from the prepared statement will cause an event to be fired on the connection pool listeners.
      Specified by:
        `getParameterMetaData` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### setAsciiStream

          public void setAsciiStream(int parameterIndex,
                            java.io.InputStream x)
                              throws java.sql.SQLException

      Specified by:
        `setAsciiStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setAsciiStream

          public void setAsciiStream(int parameterIndex,
                            java.io.InputStream x,
                            long length)
                              throws java.sql.SQLException

      Specified by:
        `setAsciiStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBinaryStream

          public void setBinaryStream(int parameterIndex,
                             java.io.InputStream x)
                               throws java.sql.SQLException

      Specified by:
        `setBinaryStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBinaryStream

          public void setBinaryStream(int parameterIndex,
                             java.io.InputStream x,
                             long length)
                               throws java.sql.SQLException

      Specified by:
        `setBinaryStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBlob

          public void setBlob(int parameterIndex,
                     java.io.InputStream inputStream)
                       throws java.sql.SQLException

      Specified by:
        `setBlob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBlob

          public void setBlob(int parameterIndex,
                     java.io.InputStream inputStream,
                     long length)
                       throws java.sql.SQLException

      Specified by:
        `setBlob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setCharacterStream

          public void setCharacterStream(int parameterIndex,
                                java.io.Reader reader)
                                  throws java.sql.SQLException

      Specified by:
        `setCharacterStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setCharacterStream

          public void setCharacterStream(int parameterIndex,
                                java.io.Reader reader,
                                long length)
                                  throws java.sql.SQLException

      Specified by:
        `setCharacterStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setClob

          public void setClob(int parameterIndex,
                     java.io.Reader reader)
                       throws java.sql.SQLException

      Specified by:
        `setClob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setClob

          public void setClob(int parameterIndex,
                     java.io.Reader reader,
                     long length)
                       throws java.sql.SQLException

      Specified by:
        `setClob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNCharacterStream

          public void setNCharacterStream(int parameterIndex,
                                 java.io.Reader value)
                                   throws java.sql.SQLException

      Specified by:
        `setNCharacterStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNCharacterStream

          public void setNCharacterStream(int parameterIndex,
                                 java.io.Reader value,
                                 long length)
                                   throws java.sql.SQLException

      Specified by:
        `setNCharacterStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNClob

          public void setNClob(int parameterIndex,
                      java.sql.NClob value)
                        throws java.sql.SQLException

      Specified by:
        `setNClob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNClob

          public void setNClob(int parameterIndex,
                      java.io.Reader reader)
                        throws java.sql.SQLException

      Specified by:
        `setNClob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNClob

          public void setNClob(int parameterIndex,
                      java.io.Reader reader,
                      long length)
                        throws java.sql.SQLException

      Specified by:
        `setNClob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNString

          public void setNString(int parameterIndex,
                        java.lang.String value)
                          throws java.sql.SQLException

      Specified by:
        `setNString` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setRowId

          public void setRowId(int parameterIndex,
                      java.sql.RowId x)
                        throws java.sql.SQLException

      Specified by:
        `setRowId` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setSQLXML

          public void setSQLXML(int parameterIndex,
                       java.sql.SQLXML xmlObject)
                         throws java.sql.SQLException

      Specified by:
        `setSQLXML` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### isClosed

          public boolean isClosed()
                           throws java.sql.SQLException

      Specified by:
        `isClosed` in interface `java.sql.Statement`
      Overrides:
        `isClosed` in class `StatementProxy`
      Throws:
        `java.sql.SQLException`

    - #### isPoolable

          public boolean isPoolable()
                             throws java.sql.SQLException

      Specified by:
        `isPoolable` in interface `java.sql.Statement`
      Overrides:
        `isPoolable` in class `StatementProxy`
      Throws:
        `java.sql.SQLException`

    - #### setPoolable

          public void setPoolable(boolean poolable)
                           throws java.sql.SQLException

      Specified by:
        `setPoolable` in interface `java.sql.Statement`
      Overrides:
        `setPoolable` in class `StatementProxy`
      Throws:
        `java.sql.SQLException`

    - #### isWrapperFor

          public boolean isWrapperFor(java.lang.Class arg0)
                               throws java.sql.SQLException

      Specified by:
        `isWrapperFor` in interface `java.sql.Wrapper`
      Overrides:
        `isWrapperFor` in class `StatementProxy`
      Throws:
        `java.sql.SQLException`

    - #### unwrap

          public java.lang.Object unwrap(java.lang.Class arg0)
                                  throws java.sql.SQLException

      Specified by:
        `unwrap` in interface `java.sql.Wrapper`
      Overrides:
        `unwrap` in class `StatementProxy`
      Throws:
        `java.sql.SQLException`

Generated on June 8 2013